Bug 226935 - www/carbonapi: Update to 0.11.0
Summary: www/carbonapi: Update to 0.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-26 08:06 UTC by Andreas Andersson
Modified: 2018-03-29 04:27 UTC (History)
1 user (show)

See Also:


Attachments
Update to 0.11.0 (1.83 KB, patch)
2018-03-26 08:06 UTC, Andreas Andersson
a.andersson.thn: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Andersson 2018-03-26 08:06:41 UTC
Created attachment 191824 [details]
Update to 0.11.0

This updates carbonapi to 0.11.0

This brings a few fixes:

 [Improvement] graphiteWeb function that implements force-fallback to graphtieWeb
 - [Improvement] graphiteWeb can query graphite-web 1.1.0+ for a list of supported functions and automatically do fallback to graphite in case user calls unimplemented function
 - [Improvement] New config switch to disable find request before render. This is helpful for graphite-clickhouse backends
 - [Fix] Fix typo in polyfit function description
 - [Fix] Skip metrics without pairs in reduceSeries (thx. to @errx)
 - [Fix] Fix config file parsing (thx. to @errx)
 - [Code] Move MakeResponse to expr/types and rename it to MakeMetricData. This is sometimes useful outside of tests. Thx. to @borovskyav
 - [Code] Add helper package that will ease doing per-function tests. See `expr/functions/absolute/function_test.go` for an example
Comment 1 Andreas Andersson 2018-03-26 08:18:42 UTC
Poudriere QA fine on 10.3, 10.4, 11.1 and 12-CURRENT.
Comment 2 Koichiro Iwao freebsd_committer 2018-03-28 03:55:39 UTC
Take.
Comment 3 commit-hook freebsd_committer 2018-03-29 04:20:27 UTC
A commit references this bug:

Author: meta
Date: Thu Mar 29 04:19:32 UTC 2018
New revision: 465864
URL: https://svnweb.freebsd.org/changeset/ports/465864

Log:
  www/carbonapi: Update to 0.11.0

  PR:		226935
  Changes:	https://github.com/go-graphite/carbonapi/releases/tag/0.11.0
  Submitted by:	Andreas Anderson <a.andersson.thn@gmail.com>
  Approved by:	hrs (mentor)

Changes:
  head/www/carbonapi/Makefile
  head/www/carbonapi/distinfo
  head/www/carbonapi/pkg-plist
Comment 4 Koichiro Iwao freebsd_committer 2018-03-29 04:27:03 UTC
Committed, thanks!